Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 910159 - Review Request: nodejs-jscoverage - A JavaScript coverage tool for Node.js and browser development
Summary: Review Request: nodejs-jscoverage - A JavaScript coverage tool for Node.js an...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 910791
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2013-02-11 22:35 UTC by Jamie Nguyen
Modified: 2013-06-18 20:44 UTC (History)
4 users (show)

Fixed In Version: nodejs-jscoverage-0.3.7-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-03 10:56:52 UTC
mhroncok: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-11 22:35:49 UTC
Spec URL: http://jamielinux.fedorapeople.org/nodejs-buddycloud-http-api/nodejs-jscoverage.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodejs-buddycloud-http-api/SRPMS/nodejs-jscoverage-0.3.5-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
A javascript coverage tool for Node.js for node/browser javascript development.

Comment 1 Jamie Nguyen 2013-02-13 22:16:19 UTC
Make use of %%nodejs_fixdep and depend on uglify-js1 instead of uglify-js.

Spec URL: http://jamielinux.fedorapeople.org/nodejs-buddycloud-http-api/nodejs-jscoverage.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodejs-buddycloud-http-api/SRPMS/nodejs-jscoverage-0.3.5-2.fc18.src.rpm

Comment 2 Jamie Nguyen 2013-02-14 22:31:07 UTC
Amend summary/description:

Spec URL: http://jamielinux.fedorapeople.org/mocha/nodejs-jscoverage.spec
SRPM URL: http://jamielinux.fedorapeople.org/mocha/SRPMS/nodejs-jscoverage-0.3.5-3.fc18.src.rpm

Description:
 A JavaScript coverage tool for Node.js and browser development.

Comment 3 Jamie Nguyen 2013-05-26 11:44:59 UTC
Spec URL: http://jamielinux.fedorapeople.org/mocha/nodejs-jscoverage.spec
SRPM URL: http://jamielinux.fedorapeople.org/mocha/SRPMS/nodejs-jscoverage-0.3.7-1.fc18.src.rpm

* Sun May 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.7-1
- update to upstream release 0.3.7
- upstream have now included a copy of the MIT license

Comment 4 Miro Hrončok 2013-05-31 14:07:08 UTC
Requires npm(optimist) < 0.4, but npm(optimist) 0.4 is in the repo.

Comment 5 Jamie Nguyen 2013-05-31 14:10:21 UTC
Spec URL: http://jamielinux.fedorapeople.org/mocha/nodejs-jscoverage.spec
SRPM URL: http://jamielinux.fedorapeople.org/mocha/SRPMS/nodejs-jscoverage-0.3.7-2.fc19.src.rpm

* Fri May 31 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.7-2
- fix versioned dependency on npm(optimist)

Comment 6 Jamie Nguyen 2013-05-31 14:22:49 UTC
Spec URL: http://jamielinux.fedorapeople.org/mocha/nodejs-jscoverage.spec
SRPM URL: http://jamielinux.fedorapeople.org/mocha/SRPMS/nodejs-jscoverage-0.3.7-3.fc19.src.rpm

* Fri May 31 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.7-3
- fix uglify-js dependency and symlink

Comment 7 Miro Hrončok 2013-05-31 19:02:18 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== Issues =====

[!]: [MUST] Permissions (see at the end fo the post).
     The permissions are odd. Why files not in bin are executable?

[?]: [SHOULD] %check is present and all tests pass.
     Why are test disabled by default?
     
[!]: [EXTRA] Spec file according to URL is the same as in SRPM.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM.
     Spec file in SRPM is never, using spec file from SRPM for this review.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: nodejs-jscoverage-0.3.7-3.fc20.noarch.rpm
nodejs-jscoverage.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-jscoverage.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-jscoverage.noarch: W: only-non-binary-in-usr-lib
nodejs-jscoverage.noarch: W: dangling-symlink /usr/lib/node_modules/jscoverage/node_modules/optimist /usr/lib/node_modules/optimist
nodejs-jscoverage.noarch: E: script-without-shebang /usr/lib/node_modules/jscoverage/lib/instrument.js
nodejs-jscoverage.noarch: E: script-without-shebang /usr/lib/node_modules/jscoverage/lib/jscoverage.js
nodejs-jscoverage.noarch: E: script-without-shebang /usr/lib/node_modules/jscoverage/index.js
nodejs-jscoverage.noarch: W: dangling-symlink /usr/lib/node_modules/jscoverage/node_modules/uglify-js /usr/lib/node_modules/uglify-js1
nodejs-jscoverage.noarch: W: no-manual-page-for-binary jscoverage
1 packages and 0 specfiles checked; 3 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-jscoverage
nodejs-jscoverage.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-jscoverage.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-jscoverage.noarch: W: only-non-binary-in-usr-lib
nodejs-jscoverage.noarch: W: dangling-symlink /usr/lib/node_modules/jscoverage/node_modules/optimist /usr/lib/node_modules/optimist
nodejs-jscoverage.noarch: E: script-without-shebang /usr/lib/node_modules/jscoverage/lib/instrument.js
nodejs-jscoverage.noarch: E: script-without-shebang /usr/lib/node_modules/jscoverage/lib/jscoverage.js
nodejs-jscoverage.noarch: E: script-without-shebang /usr/lib/node_modules/jscoverage/index.js
nodejs-jscoverage.noarch: W: dangling-symlink /usr/lib/node_modules/jscoverage/node_modules/uglify-js /usr/lib/node_modules/uglify-js1
nodejs-jscoverage.noarch: W: no-manual-page-for-binary jscoverage
1 packages and 0 specfiles checked; 3 errors, 6 warnings.
# echo 'rpmlint-done:'


Requires
--------
nodejs-jscoverage (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(optimist)
    npm(uglify-js)



Provides
--------
nodejs-jscoverage:
    nodejs-jscoverage
    npm(jscoverage)



Source checksums
----------------
http://registry.npmjs.org/jscoverage/-/jscoverage-0.3.7.tgz :
  CHECKSUM(SHA256) this package     : 6bcb884cec2100411cfa2cc33f81b09f72afdcff509148c55fe43527df9fe745
  CHECKSUM(SHA256) upstream package : 6bcb884cec2100411cfa2cc33f81b09f72afdcff509148c55fe43527df9fe745


Generated by fedora-review 0.4.0 (eaf16cd) last change: 2013-05-30
Buildroot used: fedora-rawhide-x86_64
Command line :./try-fedora-review -m fedora-devel-x86_64 -b 910159


$ rpm -qlvp ./nodejs-jscoverage-0.3.7-3.fc20.noarch.rpm 
lrwxrwxrwx    1 root    root                       47 kvě 31 20:47 /usr/bin/jscoverage -> /usr/lib/node_modules/jscoverage/bin/jscoverage
drwxr-xr-x    2 root    root                        0 kvě 31 20:47 /usr/lib/node_modules/jscoverage
drwxr-xr-x    2 root    root                        0 kvě 31 20:47 /usr/lib/node_modules/jscoverage/bin
-rwxr-xr-x    1 root    root                      778 bře 16 17:18 /usr/lib/node_modules/jscoverage/bin/jscoverage
-rwxr-xr-x    1 root    root                     8449 kvě  9 10:03 /usr/lib/node_modules/jscoverage/index.js
drwxr-xr-x    2 root    root                        0 kvě 31 20:47 /usr/lib/node_modules/jscoverage/lib
-rwxr-xr-x    1 root    root                     7363 kvě  9 10:03 /usr/lib/node_modules/jscoverage/lib/instrument.js
-rwxr-xr-x    1 root    root                     2082 led 10 18:37 /usr/lib/node_modules/jscoverage/lib/jscoverage.js
-rw-r--r--    1 root    root                     6069 úno  7 09:16 /usr/lib/node_modules/jscoverage/lib/patch.js
drwxr-xr-x    2 root    root                        0 kvě 31 20:47 /usr/lib/node_modules/jscoverage/node_modules
lrwxrwxrwx    1 root    root                       30 kvě 31 20:47 /usr/lib/node_modules/jscoverage/node_modules/optimist -> /usr/lib/node_modules/optimist
lrwxrwxrwx    1 root    root                       32 kvě 31 20:47 /usr/lib/node_modules/jscoverage/node_modules/uglify-js -> /usr/lib/node_modules/uglify-js1
-rw-r--r--    1 root    root                     1024 kvě 31 20:47 /usr/lib/node_modules/jscoverage/package.json
drwxr-xr-x    2 root    root                        0 kvě 31 20:47 /usr/share/doc/nodejs-jscoverage-0.3.7
-rw-r--r--    1 root    root                     1151 bře 15 09:25 /usr/share/doc/nodejs-jscoverage-0.3.7/LICENSE
-rw-r--r--    1 root    root                     2365 led  9 07:29 /usr/share/doc/nodejs-jscoverage-0.3.7/README.md

Comment 8 Jamie Nguyen 2013-05-31 19:45:45 UTC
Spec URL: http://jamielinux.fedorapeople.org/mocha/nodejs-jscoverage.spec
SRPM URL: http://jamielinux.fedorapeople.org/mocha/SRPMS/nodejs-jscoverage-0.3.7-4.fc19.src.rpm

[!]: [MUST] Permissions (see at the end fo the post).
     The permissions are odd. Why files not in bin are executable?

Fixed.


[?]: [SHOULD] %check is present and all tests pass.
     Why are test disabled by default?
     
Not all dependencies have been satisfied yet.


[!]: [EXTRA] Spec file according to URL is the same as in SRPM.

Sorry, must have forgotten to upload the SPEC. Fixed now.


(Also, I've chosen not to create a man page for jscoverage because the help output is very minimal.)

Comment 9 Miro Hrončok 2013-05-31 19:55:23 UTC
$ rpm -qlvp ./nodejs-jscoverage-0.3.7-4.fc20.noarch.rpm lrwxrwxrwx    1 root    root                       47 kvě 31 21:54 /usr/bin/jscoverage -> /usr/lib/node_modules/jscoverage/bin/jscoverage
drwxr-xr-x    2 root    root                        0 kvě 31 21:54 /usr/lib/node_modules/jscoverage
drwxr-xr-x    2 root    root                        0 kvě 31 21:54 /usr/lib/node_modules/jscoverage/bin
-rwxr-xr-x    1 root    root                      778 bře 16 17:18 /usr/lib/node_modules/jscoverage/bin/jscoverage
-rw-r--r--    1 root    root                     8449 kvě  9 10:03 /usr/lib/node_modules/jscoverage/index.js
drwxr-xr-x    2 root    root                        0 kvě 31 21:54 /usr/lib/node_modules/jscoverage/lib
-rw-r--r--    1 root    root                     7363 kvě  9 10:03 /usr/lib/node_modules/jscoverage/lib/instrument.js
-rw-r--r--    1 root    root                     2082 led 10 18:37 /usr/lib/node_modules/jscoverage/lib/jscoverage.js
-rw-r--r--    1 root    root                     6069 úno  7 09:16 /usr/lib/node_modules/jscoverage/lib/patch.js
drwxr-xr-x    2 root    root                        0 kvě 31 21:54 /usr/lib/node_modules/jscoverage/node_modules
lrwxrwxrwx    1 root    root                       30 kvě 31 21:54 /usr/lib/node_modules/jscoverage/node_modules/optimist -> /usr/lib/node_modules/optimist
lrwxrwxrwx    1 root    root                       32 kvě 31 21:54 /usr/lib/node_modules/jscoverage/node_modules/uglify-js -> /usr/lib/node_modules/uglify-js1
-rw-r--r--    1 root    root                     1024 kvě 31 21:54 /usr/lib/node_modules/jscoverage/package.json
drwxr-xr-x    2 root    root                        0 kvě 31 21:54 /usr/share/doc/nodejs-jscoverage-0.3.7
-rw-r--r--    1 root    root                     1151 bře 15 09:25 /usr/share/doc/nodejs-jscoverage-0.3.7/LICENSE
-rw-r--r--    1 root    root                     2365 led  9 07:29 /usr/share/doc/nodejs-jscoverage-0.3.7/README.md

Package APPROVED.

Comment 10 Jamie Nguyen 2013-05-31 20:28:45 UTC
New Package SCM Request
=======================
Package Name: nodejs-jscoverage
Short Description: A JavaScript coverage tool for Node.js and browser development
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:

Comment 11 Gwyn Ciesla 2013-06-03 10:21:39 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2013-06-03 10:51:30 UTC
nodejs-jscoverage-0.3.7-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-jscoverage-0.3.7-4.fc19

Comment 13 Fedora Update System 2013-06-03 10:52:09 UTC
nodejs-jscoverage-0.3.7-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-jscoverage-0.3.7-4.fc18

Comment 14 Fedora Update System 2013-06-03 10:52:59 UTC
nodejs-jscoverage-0.3.7-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-jscoverage-0.3.7-4.el6

Comment 15 Fedora Update System 2013-06-17 04:31:37 UTC
nodejs-jscoverage-0.3.7-4.fc19 has been pushed to the Fedora 19 stable repository.

Comment 16 Fedora Update System 2013-06-18 01:37:01 UTC
nodejs-jscoverage-0.3.7-4.fc18 has been pushed to the Fedora 18 stable repository.

Comment 17 Fedora Update System 2013-06-18 20:44:52 UTC
nodejs-jscoverage-0.3.7-4.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.